#include "hdc1050.h"
#include "hardware.h"
extern uint8_t temp;
extern uint8_t humi;

void HDC1050_config(uint8_t conf)
{
	uint8_t config[] = {HDC1050_CONF_REG_ADDR, conf, 0};
//	config[1] = conf;
	I2CMasterWriteBuf(HDC1050_SLAVE_ADDRESS, config, 3);
}
	
void HDC1050_requestConversion()                // request new temp/humi conversion
{
    uint8_t reqC[] = {0};                        // buffer to initiate single temp/humi conversion           
    I2CMasterWriteBuf(HDC1050_SLAVE_ADDRESS, reqC, 1);
}

void HDC1050_getTempHumi()                      // read temp/humi data from sensor
{
    uint8_t reqR[5];							// receive buffer for temp/humi 
	reqR[0] = HDC1050_TEMP_REG_ADDR;	
    I2CMasterReadBuf(HDC1050_SLAVE_ADDRESS, reqR, 4, 0);
    temp = ((((reqR[0] << 8) + reqR[0])*165 + 0x8000) >> 16) - 40;	// compute temp in Celcius
//    temp = 9*temp/5 + 32;                                           // convert temp to Fahrenheit
    humi = ((((reqR[2] << 8) + reqR[3])*100 + 0x8000) >> 16) - 16;	// compute humi
    if (humi > 99) humi = 99;
}    

