#include <em_device.h>						// header for all micro registers
#include "hardware.h"						// custom headers
#include "hdc1050.h"
#include "lcd.h"
int8_t temp;								// storage for ambient data
uint8_t humi;

int main()
{
	CMU_setup();							// configure clock
	GPIO_setup();							// configure GPIO ports
	SPI0_setup();
	DMA_setup();	
	LCD_init();	
	I2C0_setup();
	LETIMER0_setup();						// configure LETIMER

	HDC1050_config(0x30);					// turn on heater
//	HDC1050_config(0x10);
	HDC1050_requestConversion();			// request new conversion
	
	while(1)								// main application loop
	{	
		SCB->SCR |= SCB_SCR_SLEEPDEEP_Msk; 	// enable deep sleep mode
		__WFI();							// wake-up by LETIMER
		HDC1050_getTempHumi();				// read temperature from sensor
		HDC1050_requestConversion();		// request new conversion		
		Display_Temp_Humi();
	}	
}

void LETIMER0_IRQHandler(void)
{
	LETIMER0->IFC = LETIMER_IFC_UF;			// clear timer IF
	NVIC_ClearPendingIRQ(LETIMER0_IRQn);
	SCB->SCR = 0;							// cancel deep sleep mode
}

void DMA_IRQHandler(void)
{
	DMA->IFC = DMA_IFC_CH0DONE;				// clear DMA IF
	DMA->CHENC = DMA_CHENC_CH0ENC;			// disable CH0
}
